doIt = function() {
	i++;
	coff = (1.01*i);
	rot = i*5;
	s = 'rotate('+ rot +') scale('+ coff*Math.exp(i/50) +')';
	if(i == 600) { // i == 600
		console.log(s);
		i = 122;
	}
	e.setAttribute('transform',s);	
}
bwFlash = function() {
	console.log('flash');
	rect.setAttribute('fill','#fff');
	circle.setAttribute('fill','#000');
	path.setAttribute('stroke','#fff');
	flash.setAttribute('opacity',1);
	oi = 11;
	oscOpacityInterval = setInterval(oscOpacity, 20);
}
oscOpacity = function() {
	oi--;
	if(oi<0) {
		clearInterval(oscOpacityInterval);
		rect.setAttribute('fill','#b00');
		circle.setAttribute('fill','#fff');
		path.setAttribute('stroke','#000');
	}
	flash.setAttribute('opacity',oi/11);
}
toBw = function() {
	console.log('to bw');
	rect.setAttribute('fill','#fff');
	circle.setAttribute('fill','#000');
	path.setAttribute('stroke','#fff');
}
function init(evt) {
	console.log('swastika runner');
	i = 0;
	factor = 0.64;
	e = document.getElementById('animate');
	rect = document.getElementById('rect');
	circle = document.getElementById('circle');
	path = document.getElementById('path');
	flash = document.getElementById('flash');
	setInterval(doIt,20);
	setTimeout(bwFlash, 7480);
	setTimeout(toBw, 15000);
}
